package org.apache.bcel.generic;

import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.AnnotationElementValue;
import org.apache.bcel.classfile.ElementValue;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/AnnotationElementValueGen.class */
public class AnnotationElementValueGen extends ElementValueGen {
    private final AnnotationEntryGen a;

    public AnnotationElementValueGen(AnnotationElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries) {
        super(64, cpool);
        this.a = new AnnotationEntryGen(value.getAnnotationEntry(), cpool, copyPoolEntries);
    }

    public AnnotationElementValueGen(AnnotationEntryGen a, ConstantPoolGen cpool) {
        super(64, cpool);
        this.a = a;
    }

    public AnnotationElementValueGen(int type, AnnotationEntryGen annotation, ConstantPoolGen cpool) {
        super(type, cpool);
        if (type != 64) {
            throw new IllegalArgumentException("Only element values of type annotation can be built with this ctor - type specified: " + type);
        }
        this.a = annotation;
    }

    @Override // org.apache.bcel.generic.ElementValueGen
    public void dump(DataOutputStream dos) throws IOException {
        dos.writeByte(super.getElementValueType());
        this.a.dump(dos);
    }

    public AnnotationEntryGen getAnnotation() {
        return this.a;
    }

    @Override // org.apache.bcel.generic.ElementValueGen
    public ElementValue getElementValue() {
        return new AnnotationElementValue(super.getElementValueType(), this.a.getAnnotation(), getConstantPool().getConstantPool());
    }

    @Override // org.apache.bcel.generic.ElementValueGen
    public String stringifyValue() {
        throw new UnsupportedOperationException("Not implemented yet");
    }
}
